%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Style file for the compendium of papers of the Elbrus conference EOS--2012
% and above.
% () Levashov P.R., JIHT RAS, 2011
% Version 5.0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\NeedsTeXFormat{LaTeX2e}[1994/01/01]
\ProvidesClass{elbrus5}[2011/1/09 v5.0 by P.R. Levashov]
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{revtex4}}
\ProcessOptions

%\LoadClass{article}
\LoadClass[a4paper,aps,twocolumn,floatfix,10pt]{revtex4}
\usepackage{calc}
%\usepackage{amssymb}
\usepackage[cp1252]{inputenc}
\usepackage[english]{babel}
\usepackage{graphicx}
\usepackage{vmargin}
%\usepackage{array}
%\usepackage{caption2}
%\usepackage{vmargin}
%\setpapersize[portrait]{A4}
%\setmargins{2.5cm}{2cm}{165mm}{254.5mm}{0pt}{0mm}{0pt}{5mm}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Page style redifinitions
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\unitlength=1mm
\setpapersize[portrait]{A4}
\tolerance=400
\setmargins{2cm}{1.5cm}{172mm}{252.5mm}{0pt}{0mm}{0pt}{9mm}
\pagestyle{plain}
\newlength{\defcolsep}
\setlength{\defcolsep}{1cm}  % Spacing between columns

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Bibliography redefinitions 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\renewcommand{\bibname}{}

\renewcommand{\@biblabel}[1]{#1.\hfill}

\newcounter{tmp1}

\renewenvironment{thebibliography}[1]%
{\begin{list}{\arabic{tmp1}.}{%
\renewcommand{\@biblabel}[1]{##1.\hfill}%
\usecounter{tmp1}%
%\vspace{2pt}%
\noindent\centering\rule{0.4\columnwidth}{0.4pt}%
%\needspace{4pt}
\vspace{3pt}%
\setlength{\rightmargin}{0pt}%
\settowidth{\labelwidth}{\@biblabel{#1}}%
\settowidth{\labelsep}{\ \,}%
\setlength{\leftmargin}{\labelwidth+\labelsep}%
\setlength{\topsep}{50pt}%
\setlength{\parsep}{0pt}%
\setlength{\itemsep}{0pt}%
\item[]}\small\rmfamily\setcounter{NAT@ctr}{0}}%
{\end{list}}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Enumerate redefinition
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\renewcommand{\@listI}{%
\setlength{\rightmargin}{0pt}%
\setlength{\labelwidth}{9pt}%
\settowidth{\labelsep}{\ \,}%
\setlength{\leftmargin}{\labelwidth+\labelsep}%
\setlength{\topsep}{0pt}%
\setlength{\parsep}{0pt}%
\setlength{\partopsep}{0pt}%
\setlength{\itemsep}{0pt}}

\renewcommand{\@listii}{%
\setlength{\rightmargin}{0pt}%
\setlength{\labelwidth}{9pt}%
\settowidth{\labelsep}{\ \,}%
\setlength{\leftmargin}{4pt+\labelwidth+\labelsep}%
\setlength{\topsep}{0pt}%
\setlength{\parsep}{0pt}%
\setlength{\partopsep}{0pt}%
\setlength{\itemsep}{0pt}}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Special commands for proceedings
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\newcommand\elbrustitle[1]{{\onecolumngrid\centering\textbf{#1}\\}}
\newcommand\elbrusauthor[1]{{\vspace{3pt}\centering\textbf{\textit{#1}}\\}}
\newcommand\elbrusaffil[1]{{\vspace{3pt}\centering\textit{#1}\\}}
\newcommand\elbrusemail[1]{{\vspace{3pt}\centering\textsl{#1}\vspace{6pt}\\\relax}\twocolumngrid}
%\setlength{\extrarowheight}{3pt}

\long\def\@makecaption#1#2{%
  \par
  \vskip\abovecaptionskip
  \begingroup
   \small\rmfamily
   \sbox\@tempboxa{%
    \let\\\heading@cr
    \textbf{#1.} #2%
   }%
   \@ifdim{\wd\@tempboxa >\hsize}{%
    \begingroup
     \samepage
     \flushing
     \let\footnote\@footnotemark@gobble
     \textbf{#1.} #2\par
    \endgroup
   }{%
     \global \@minipagefalse
     \hb@xt@\hsize{\hfil\unhbox\@tempboxa\hfil}%
   }%
  \endgroup
  \vskip\belowcaptionskip
}%



\renewcommand{\thetable}{\arabic{table}}

\pagestyle{plain}
%\renewcommand*\captionlabeldelim{.}
